source: Makefile.in @ 86bd7c1f

ADTaaron-thesisarm-ehast-experimentalcleanup-dtorsctordeferred_resndemanglerenumforall-pointer-decaygc_noraiijacob/cs343-translationjenkins-sandboxmemorynew-astnew-ast-unique-exprnew-envno_listpersistent-indexerpthread-emulationqualifiedEnumresolv-newstringwith_gc
Last change on this file since 86bd7c1f was be5aa1b, checked in by Rob Schluntz <rschlunt@…>, 9 years ago

error if continue statement targets a location that is not an enclosing loop, better error messages for branch statements with labels, formatting, refactoring

  • Property mode set to 100644
File size: 23.0 KB
Line 
1# Makefile.in generated by automake 1.11.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6# Foundation, Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17VPATH = @srcdir@
18pkgdatadir = $(datadir)/@PACKAGE@
19pkgincludedir = $(includedir)/@PACKAGE@
20pkglibdir = $(libdir)/@PACKAGE@
21pkglibexecdir = $(libexecdir)/@PACKAGE@
22am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23install_sh_DATA = $(install_sh) -c -m 644
24install_sh_PROGRAM = $(install_sh) -c
25install_sh_SCRIPT = $(install_sh) -c
26INSTALL_HEADER = $(INSTALL_DATA)
27transform = $(program_transform_name)
28NORMAL_INSTALL = :
29PRE_INSTALL = :
30POST_INSTALL = :
31NORMAL_UNINSTALL = :
32PRE_UNINSTALL = :
33POST_UNINSTALL = :
34subdir = .
35DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36        $(srcdir)/Makefile.in $(srcdir)/config.h.in \
37        $(top_srcdir)/configure $(top_srcdir)/driver/Makefile.in \
38        $(top_srcdir)/libcfa/Makefile.in $(top_srcdir)/src/Makefile.in \
39        $(top_srcdir)/src/examples/Makefile.in INSTALL install-sh \
40        missing
41ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
42am__aclocal_m4_deps = $(top_srcdir)/configure.ac
43am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
44        $(ACLOCAL_M4)
45am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
46 configure.lineno config.status.lineno
47mkinstalldirs = $(install_sh) -d
48CONFIG_HEADER = config.h
49CONFIG_CLEAN_FILES = src/Makefile driver/Makefile libcfa/Makefile \
50        src/examples/Makefile
51CONFIG_CLEAN_VPATH_FILES =
52SOURCES =
53DIST_SOURCES =
54RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
55        html-recursive info-recursive install-data-recursive \
56        install-dvi-recursive install-exec-recursive \
57        install-html-recursive install-info-recursive \
58        install-pdf-recursive install-ps-recursive install-recursive \
59        installcheck-recursive installdirs-recursive pdf-recursive \
60        ps-recursive uninstall-recursive
61RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
62  distclean-recursive maintainer-clean-recursive
63AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
64        $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
65        distdir dist dist-all distcheck
66ETAGS = etags
67CTAGS = ctags
68DIST_SUBDIRS = $(SUBDIRS)
69DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
70distdir = $(PACKAGE)-$(VERSION)
71top_distdir = $(distdir)
72am__remove_distdir = \
73  if test -d "$(distdir)"; then \
74    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
75      && rm -rf "$(distdir)" \
76      || { sleep 5 && rm -rf "$(distdir)"; }; \
77  else :; fi
78am__relativize = \
79  dir0=`pwd`; \
80  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
81  sed_rest='s,^[^/]*/*,,'; \
82  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
83  sed_butlast='s,/*[^/]*$$,,'; \
84  while test -n "$$dir1"; do \
85    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
86    if test "$$first" != "."; then \
87      if test "$$first" = ".."; then \
88        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
89        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
90      else \
91        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
92        if test "$$first2" = "$$first"; then \
93          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
94        else \
95          dir2="../$$dir2"; \
96        fi; \
97        dir0="$$dir0"/"$$first"; \
98      fi; \
99    fi; \
100    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
101  done; \
102  reldir="$$dir2"
103DIST_ARCHIVES = $(distdir).tar.gz
104GZIP_ENV = --best
105distuninstallcheck_listfiles = find . -type f -print
106am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
107  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
108distcleancheck_listfiles = find . -type f -print
109ACLOCAL = @ACLOCAL@
110ALLOCA = @ALLOCA@
111AMTAR = @AMTAR@
112AUTOCONF = @AUTOCONF@
113AUTOHEADER = @AUTOHEADER@
114AUTOMAKE = @AUTOMAKE@
115AWK = @AWK@
116BACKEND_CC = @BACKEND_CC@
117CC = @CC@
118CCDEPMODE = @CCDEPMODE@
119CFA_BINDIR = @CFA_BINDIR@
120CFA_INCDIR = @CFA_INCDIR@
121CFA_LIBDIR = @CFA_LIBDIR@
122CFA_PREFIX = @CFA_PREFIX@
123CFLAGS = @CFLAGS@
124CPP = @CPP@
125CPPFLAGS = @CPPFLAGS@
126CXX = @CXX@
127CXXDEPMODE = @CXXDEPMODE@
128CXXFLAGS = @CXXFLAGS@
129CYGPATH_W = @CYGPATH_W@
130DEFS = @DEFS@
131DEPDIR = @DEPDIR@
132ECHO_C = @ECHO_C@
133ECHO_N = @ECHO_N@
134ECHO_T = @ECHO_T@
135EGREP = @EGREP@
136EXEEXT = @EXEEXT@
137GCC_PATH = @GCC_PATH@
138GREP = @GREP@
139INSTALL = @INSTALL@
140INSTALL_DATA = @INSTALL_DATA@
141INSTALL_PROGRAM = @INSTALL_PROGRAM@
142INSTALL_SCRIPT = @INSTALL_SCRIPT@
143INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
144LDFLAGS = @LDFLAGS@
145LIBOBJS = @LIBOBJS@
146LIBS = @LIBS@
147LTLIBOBJS = @LTLIBOBJS@
148MAINT = @MAINT@
149MAKEINFO = @MAKEINFO@
150MKDIR_P = @MKDIR_P@
151OBJEXT = @OBJEXT@
152PACKAGE = @PACKAGE@
153PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
154PACKAGE_NAME = @PACKAGE_NAME@
155PACKAGE_STRING = @PACKAGE_STRING@
156PACKAGE_TARNAME = @PACKAGE_TARNAME@
157PACKAGE_URL = @PACKAGE_URL@
158PACKAGE_VERSION = @PACKAGE_VERSION@
159PATH_SEPARATOR = @PATH_SEPARATOR@
160SET_MAKE = @SET_MAKE@
161SHELL = @SHELL@
162STRIP = @STRIP@
163VERSION = @VERSION@
164abs_builddir = @abs_builddir@
165abs_srcdir = @abs_srcdir@
166abs_top_builddir = @abs_top_builddir@
167abs_top_srcdir = @abs_top_srcdir@
168ac_ct_CC = @ac_ct_CC@
169ac_ct_CXX = @ac_ct_CXX@
170am__include = @am__include@
171am__leading_dot = @am__leading_dot@
172am__quote = @am__quote@
173am__tar = @am__tar@
174am__untar = @am__untar@
175bindir = @bindir@
176build_alias = @build_alias@
177builddir = @builddir@
178datadir = @datadir@
179datarootdir = @datarootdir@
180docdir = @docdir@
181dvidir = @dvidir@
182exec_prefix = @exec_prefix@
183host_alias = @host_alias@
184htmldir = @htmldir@
185includedir = @includedir@
186infodir = @infodir@
187install_sh = @install_sh@
188libdir = @libdir@
189libexecdir = @libexecdir@
190localedir = @localedir@
191localstatedir = @localstatedir@
192mandir = @mandir@
193mkdir_p = @mkdir_p@
194oldincludedir = @oldincludedir@
195pdfdir = @pdfdir@
196prefix = @prefix@
197program_transform_name = @program_transform_name@
198psdir = @psdir@
199sbindir = @sbindir@
200sharedstatedir = @sharedstatedir@
201srcdir = @srcdir@
202sysconfdir = @sysconfdir@
203target_alias = @target_alias@
204top_build_prefix = @top_build_prefix@
205top_builddir = @top_builddir@
206top_srcdir = @top_srcdir@
207AUTOMAKE_OPTIONS = foreign
208SUBDIRS = driver src libcfa  # order important, src before libcfa because cfa-cpp used to build prelude
209
210# non-source files
211EXTRA_DIST = Docs
212all: config.h
213        $(MAKE) $(AM_MAKEFLAGS) all-recursive
214
215.SUFFIXES:
216am--refresh: Makefile
217        @:
218$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
219        @for dep in $?; do \
220          case '$(am__configure_deps)' in \
221            *$$dep*) \
222              echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
223              $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
224                && exit 0; \
225              exit 1;; \
226          esac; \
227        done; \
228        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
229        $(am__cd) $(top_srcdir) && \
230          $(AUTOMAKE) --foreign Makefile
231.PRECIOUS: Makefile
232Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
233        @case '$?' in \
234          *config.status*) \
235            echo ' $(SHELL) ./config.status'; \
236            $(SHELL) ./config.status;; \
237          *) \
238            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
239            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
240        esac;
241
242$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
243        $(SHELL) ./config.status --recheck
244
245$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
246        $(am__cd) $(srcdir) && $(AUTOCONF)
247$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
248        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
249$(am__aclocal_m4_deps):
250
251config.h: stamp-h1
252        @if test ! -f $@; then rm -f stamp-h1; else :; fi
253        @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
254
255stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
256        @rm -f stamp-h1
257        cd $(top_builddir) && $(SHELL) ./config.status config.h
258$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
259        ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
260        rm -f stamp-h1
261        touch $@
262
263distclean-hdr:
264        -rm -f config.h stamp-h1
265src/Makefile: $(top_builddir)/config.status $(top_srcdir)/src/Makefile.in
266        cd $(top_builddir) && $(SHELL) ./config.status $@
267driver/Makefile: $(top_builddir)/config.status $(top_srcdir)/driver/Makefile.in
268        cd $(top_builddir) && $(SHELL) ./config.status $@
269libcfa/Makefile: $(top_builddir)/config.status $(top_srcdir)/libcfa/Makefile.in
270        cd $(top_builddir) && $(SHELL) ./config.status $@
271src/examples/Makefile: $(top_builddir)/config.status $(top_srcdir)/src/examples/Makefile.in
272        cd $(top_builddir) && $(SHELL) ./config.status $@
273
274# This directory's subdirectories are mostly independent; you can cd
275# into them and run `make' without going through this Makefile.
276# To change the values of `make' variables: instead of editing Makefiles,
277# (1) if the variable is set in `config.status', edit `config.status'
278#     (which will cause the Makefiles to be regenerated when you run `make');
279# (2) otherwise, pass the desired values on the `make' command line.
280$(RECURSIVE_TARGETS):
281        @fail= failcom='exit 1'; \
282        for f in x $$MAKEFLAGS; do \
283          case $$f in \
284            *=* | --[!k]*);; \
285            *k*) failcom='fail=yes';; \
286          esac; \
287        done; \
288        dot_seen=no; \
289        target=`echo $@ | sed s/-recursive//`; \
290        list='$(SUBDIRS)'; for subdir in $$list; do \
291          echo "Making $$target in $$subdir"; \
292          if test "$$subdir" = "."; then \
293            dot_seen=yes; \
294            local_target="$$target-am"; \
295          else \
296            local_target="$$target"; \
297          fi; \
298          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
299          || eval $$failcom; \
300        done; \
301        if test "$$dot_seen" = "no"; then \
302          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
303        fi; test -z "$$fail"
304
305$(RECURSIVE_CLEAN_TARGETS):
306        @fail= failcom='exit 1'; \
307        for f in x $$MAKEFLAGS; do \
308          case $$f in \
309            *=* | --[!k]*);; \
310            *k*) failcom='fail=yes';; \
311          esac; \
312        done; \
313        dot_seen=no; \
314        case "$@" in \
315          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
316          *) list='$(SUBDIRS)' ;; \
317        esac; \
318        rev=''; for subdir in $$list; do \
319          if test "$$subdir" = "."; then :; else \
320            rev="$$subdir $$rev"; \
321          fi; \
322        done; \
323        rev="$$rev ."; \
324        target=`echo $@ | sed s/-recursive//`; \
325        for subdir in $$rev; do \
326          echo "Making $$target in $$subdir"; \
327          if test "$$subdir" = "."; then \
328            local_target="$$target-am"; \
329          else \
330            local_target="$$target"; \
331          fi; \
332          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
333          || eval $$failcom; \
334        done && test -z "$$fail"
335tags-recursive:
336        list='$(SUBDIRS)'; for subdir in $$list; do \
337          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
338        done
339ctags-recursive:
340        list='$(SUBDIRS)'; for subdir in $$list; do \
341          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
342        done
343
344ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
345        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
346        unique=`for i in $$list; do \
347            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
348          done | \
349          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
350              END { if (nonempty) { for (i in files) print i; }; }'`; \
351        mkid -fID $$unique
352tags: TAGS
353
354TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
355                $(TAGS_FILES) $(LISP)
356        set x; \
357        here=`pwd`; \
358        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
359          include_option=--etags-include; \
360          empty_fix=.; \
361        else \
362          include_option=--include; \
363          empty_fix=; \
364        fi; \
365        list='$(SUBDIRS)'; for subdir in $$list; do \
366          if test "$$subdir" = .; then :; else \
367            test ! -f $$subdir/TAGS || \
368              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
369          fi; \
370        done; \
371        list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
372        unique=`for i in $$list; do \
373            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
374          done | \
375          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
376              END { if (nonempty) { for (i in files) print i; }; }'`; \
377        shift; \
378        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
379          test -n "$$unique" || unique=$$empty_fix; \
380          if test $$# -gt 0; then \
381            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
382              "$$@" $$unique; \
383          else \
384            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
385              $$unique; \
386          fi; \
387        fi
388ctags: CTAGS
389CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
390                $(TAGS_FILES) $(LISP)
391        list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
392        unique=`for i in $$list; do \
393            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
394          done | \
395          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
396              END { if (nonempty) { for (i in files) print i; }; }'`; \
397        test -z "$(CTAGS_ARGS)$$unique" \
398          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
399             $$unique
400
401GTAGS:
402        here=`$(am__cd) $(top_builddir) && pwd` \
403          && $(am__cd) $(top_srcdir) \
404          && gtags -i $(GTAGS_ARGS) "$$here"
405
406distclean-tags:
407        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
408
409distdir: $(DISTFILES)
410        $(am__remove_distdir)
411        test -d "$(distdir)" || mkdir "$(distdir)"
412        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
413        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
414        list='$(DISTFILES)'; \
415          dist_files=`for file in $$list; do echo $$file; done | \
416          sed -e "s|^$$srcdirstrip/||;t" \
417              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
418        case $$dist_files in \
419          */*) $(MKDIR_P) `echo "$$dist_files" | \
420                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
421                           sort -u` ;; \
422        esac; \
423        for file in $$dist_files; do \
424          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
425          if test -d $$d/$$file; then \
426            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
427            if test -d "$(distdir)/$$file"; then \
428              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
429            fi; \
430            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
431              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
432              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
433            fi; \
434            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
435          else \
436            test -f "$(distdir)/$$file" \
437            || cp -p $$d/$$file "$(distdir)/$$file" \
438            || exit 1; \
439          fi; \
440        done
441        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
442          if test "$$subdir" = .; then :; else \
443            test -d "$(distdir)/$$subdir" \
444            || $(MKDIR_P) "$(distdir)/$$subdir" \
445            || exit 1; \
446          fi; \
447        done
448        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
449          if test "$$subdir" = .; then :; else \
450            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
451            $(am__relativize); \
452            new_distdir=$$reldir; \
453            dir1=$$subdir; dir2="$(top_distdir)"; \
454            $(am__relativize); \
455            new_top_distdir=$$reldir; \
456            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
457            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
458            ($(am__cd) $$subdir && \
459              $(MAKE) $(AM_MAKEFLAGS) \
460                top_distdir="$$new_top_distdir" \
461                distdir="$$new_distdir" \
462                am__remove_distdir=: \
463                am__skip_length_check=: \
464                am__skip_mode_fix=: \
465                distdir) \
466              || exit 1; \
467          fi; \
468        done
469        -test -n "$(am__skip_mode_fix)" \
470        || find "$(distdir)" -type d ! -perm -755 \
471                -exec chmod u+rwx,go+rx {} \; -o \
472          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
473          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
474          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
475        || chmod -R a+r "$(distdir)"
476dist-gzip: distdir
477        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
478        $(am__remove_distdir)
479
480dist-bzip2: distdir
481        tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
482        $(am__remove_distdir)
483
484dist-lzip: distdir
485        tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
486        $(am__remove_distdir)
487
488dist-lzma: distdir
489        tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
490        $(am__remove_distdir)
491
492dist-xz: distdir
493        tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
494        $(am__remove_distdir)
495
496dist-tarZ: distdir
497        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
498        $(am__remove_distdir)
499
500dist-shar: distdir
501        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
502        $(am__remove_distdir)
503
504dist-zip: distdir
505        -rm -f $(distdir).zip
506        zip -rq $(distdir).zip $(distdir)
507        $(am__remove_distdir)
508
509dist dist-all: distdir
510        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
511        $(am__remove_distdir)
512
513# This target untars the dist file and tries a VPATH configuration.  Then
514# it guarantees that the distribution is self-contained by making another
515# tarfile.
516distcheck: dist
517        case '$(DIST_ARCHIVES)' in \
518        *.tar.gz*) \
519          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
520        *.tar.bz2*) \
521          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
522        *.tar.lzma*) \
523          lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
524        *.tar.lz*) \
525          lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
526        *.tar.xz*) \
527          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
528        *.tar.Z*) \
529          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
530        *.shar.gz*) \
531          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
532        *.zip*) \
533          unzip $(distdir).zip ;;\
534        esac
535        chmod -R a-w $(distdir); chmod a+w $(distdir)
536        mkdir $(distdir)/_build
537        mkdir $(distdir)/_inst
538        chmod a-w $(distdir)
539        test -d $(distdir)/_build || exit 0; \
540        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
541          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
542          && am__cwd=`pwd` \
543          && $(am__cd) $(distdir)/_build \
544          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
545            $(AM_DISTCHECK_CONFIGURE_FLAGS) \
546            $(DISTCHECK_CONFIGURE_FLAGS) \
547          && $(MAKE) $(AM_MAKEFLAGS) \
548          && $(MAKE) $(AM_MAKEFLAGS) dvi \
549          && $(MAKE) $(AM_MAKEFLAGS) check \
550          && $(MAKE) $(AM_MAKEFLAGS) install \
551          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
552          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
553          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
554                distuninstallcheck \
555          && chmod -R a-w "$$dc_install_base" \
556          && ({ \
557               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
558               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
559               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
560               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
561                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
562              } || { rm -rf "$$dc_destdir"; exit 1; }) \
563          && rm -rf "$$dc_destdir" \
564          && $(MAKE) $(AM_MAKEFLAGS) dist \
565          && rm -rf $(DIST_ARCHIVES) \
566          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
567          && cd "$$am__cwd" \
568          || exit 1
569        $(am__remove_distdir)
570        @(echo "$(distdir) archives ready for distribution: "; \
571          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
572          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
573distuninstallcheck:
574        @test -n '$(distuninstallcheck_dir)' || { \
575          echo 'ERROR: trying to run $@ with an empty' \
576               '$$(distuninstallcheck_dir)' >&2; \
577          exit 1; \
578        }; \
579        $(am__cd) '$(distuninstallcheck_dir)' || { \
580          echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
581          exit 1; \
582        }; \
583        test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
584           || { echo "ERROR: files left after uninstall:" ; \
585                if test -n "$(DESTDIR)"; then \
586                  echo "  (check DESTDIR support)"; \
587                fi ; \
588                $(distuninstallcheck_listfiles) ; \
589                exit 1; } >&2
590distcleancheck: distclean
591        @if test '$(srcdir)' = . ; then \
592          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
593          exit 1 ; \
594        fi
595        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
596          || { echo "ERROR: files left in build directory after distclean:" ; \
597               $(distcleancheck_listfiles) ; \
598               exit 1; } >&2
599check-am: all-am
600check: check-recursive
601all-am: Makefile config.h
602installdirs: installdirs-recursive
603installdirs-am:
604install: install-recursive
605install-exec: install-exec-recursive
606install-data: install-data-recursive
607uninstall: uninstall-recursive
608
609install-am: all-am
610        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
611
612installcheck: installcheck-recursive
613install-strip:
614        if test -z '$(STRIP)'; then \
615          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
616            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
617              install; \
618        else \
619          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
620            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
621            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
622        fi
623mostlyclean-generic:
624
625clean-generic:
626
627distclean-generic:
628        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
629        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
630
631maintainer-clean-generic:
632        @echo "This command is intended for maintainers to use"
633        @echo "it deletes files that may require special tools to rebuild."
634clean: clean-recursive
635
636clean-am: clean-generic mostlyclean-am
637
638distclean: distclean-recursive
639        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
640        -rm -f Makefile
641distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
642
643dvi: dvi-recursive
644
645dvi-am:
646
647html: html-recursive
648
649html-am:
650
651info: info-recursive
652
653info-am:
654
655install-data-am:
656
657install-dvi: install-dvi-recursive
658
659install-dvi-am:
660
661install-exec-am:
662
663install-html: install-html-recursive
664
665install-html-am:
666
667install-info: install-info-recursive
668
669install-info-am:
670
671install-man:
672
673install-pdf: install-pdf-recursive
674
675install-pdf-am:
676
677install-ps: install-ps-recursive
678
679install-ps-am:
680
681installcheck-am:
682
683maintainer-clean: maintainer-clean-recursive
684        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
685        -rm -rf $(top_srcdir)/autom4te.cache
686        -rm -f Makefile
687maintainer-clean-am: distclean-am maintainer-clean-generic
688
689mostlyclean: mostlyclean-recursive
690
691mostlyclean-am: mostlyclean-generic
692
693pdf: pdf-recursive
694
695pdf-am:
696
697ps: ps-recursive
698
699ps-am:
700
701uninstall-am:
702
703.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
704        ctags-recursive install-am install-strip tags-recursive
705
706.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
707        all all-am am--refresh check check-am clean clean-generic \
708        ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
709        dist-lzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
710        distcheck distclean distclean-generic distclean-hdr \
711        distclean-tags distcleancheck distdir distuninstallcheck dvi \
712        dvi-am html html-am info info-am install install-am \
713        install-data install-data-am install-dvi install-dvi-am \
714        install-exec install-exec-am install-html install-html-am \
715        install-info install-info-am install-man install-pdf \
716        install-pdf-am install-ps install-ps-am install-strip \
717        installcheck installcheck-am installdirs installdirs-am \
718        maintainer-clean maintainer-clean-generic mostlyclean \
719        mostlyclean-generic pdf pdf-am ps ps-am tags tags-recursive \
720        uninstall uninstall-am
721
722
723# Tell versions [3.59,3.63) of GNU make to not export all variables.
724# Otherwise a system limit (for SysV at least) may be exceeded.
725.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.